Portage blocked by corruption [Solved]

Anything that pertains to Portage

Moderator: Moderators

Portage blocked by corruption [Solved]

Postby albfneto » Mon Aug 11, 2008 3:13

I see another post, in which was described that equo was blocked by corruption
I use Sabayon 3.5
I have a related problem. in my sabayon, but is is the PORTAGE that is blocked by
corruption.
when i want to install something with equo/entropy,
this works well, bu if i use portage, ]
i receive messages that packages masked by corruption, but only in portage.
Until now, i afraid to syncronize my entropy dir with the portage dir, with that command that used gentoosync...
I have a in mind that my "bad" portage, will broken my "good" entropy.
What is the manner to solve these portage problems. Also, sometimes, when i used portage/ emerge command, i receive messages od conflicting SLOTS.
When i may correct this.l?
Last edited by albfneto on Tue Aug 12, 2008 16:12, edited 1 time in total.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1705
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Portage blocked by corruption

Postby wolfden » Mon Aug 11, 2008 3:23

which 3.5?

did u sync?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Portage blocked by corruption

Postby albfneto » Mon Aug 11, 2008 12:57

Until now, i dont run the command

equo database gentoosync

Because i have in mind this command will syncronize my "working good" Entropy system, with my "no good working" Portage system....
Or not?
Also, another thing that is occurring:
frequentely,i do not found apackage in entropy or in portage..
exs. i do not found kuroo in portage,
neither i found, for ex. KDE 4 in Entropy...
This indicates that my portage and entropy repositories were both incomplete, no?, No syncronized...
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1705
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Portage blocked by corruption

Postby Stupot » Mon Aug 11, 2008 15:57

You're misunderstanding a lot.
First, I'm pretty sure wolfden wondered if you did a
Code: Select all
emerge --sync


Second, equo database gentoosync tells equo of all the packages you've installed via portage, it has nothing to do with repositories. It won't break equo by using this command, but if you haven't installed anything via portage, there is no point in running it.

Lastly, KDE4 is in entropy, and it is masked.

So, have you run emerge --sync?
Stupot
Sagely Hen
 
Posts: 1537
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Portage blocked by corruption

Postby wolfden » Mon Aug 11, 2008 17:16

albfneto wrote:Until now, i dont run the command

equo database gentoosync

Because i have in mind this command will syncronize my "working good" Entropy system, with my "no good working" Portage system....
Or not?
Also, another thing that is occurring:
frequentely,i do not found apackage in entropy or in portage..
exs. i do not found kuroo in portage,
neither i found, for ex. KDE 4 in Entropy...
This indicates that my portage and entropy repositories were both incomplete, no?, No syncronized...


I think you need to spend some time reading our wiki and the gentoo handbook as you don't seem to understand how to operate the package managers

KDE 4.1 Final is not available yet viewtopic.php?f=53&t=14315

You also failed to answer the question as to what version of 3.5 you installed. If you want help, you have to answer the questions asked and give as much detail as possible. Making multiple posts in several threads isn't going to help. Stick to one thread and answer the questions. viewtopic.php?f=50&t=8518#p72605
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Portage blocked by corruption

Postby albfneto » Tue Aug 12, 2008 3:16

yes do. i will see the wiki and the gentoo documents.
my sabayon 3.5 is the full DVD version , 64 bits.
Thanks.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1705
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Portage blocked by corruption

Postby albfneto » Tue Aug 12, 2008 16:12

Hi.
Problems solved after a sequence of updating and syncronization commands.
su and passw.
emerge --sync
emerge -va portage
emerge layman
layman -d sabayon
layman -a sabayon
layman -s sabayon
layman -S
emerge -va equo spritz
equo update
equo database gentoosync

Now, both Portage and Entropy works well.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1705
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest